Nexus API
Webhooks
MX offers an extensive webhook service that will deliver information on many resource changes to a URL of your choice. For instance, when an account is updated, when a member is deleted, when a transaction is created, etc. This can be valuable for partners when building a user interface or in any number of other situations. For more information review our Webhooks documentation.
The MX-Skip-Webhook Header
Partners who use MX's webhooks can prevent them from being triggered by sending the optional MX-Skip-Webhook header with a value of true. Webhooks will be delivered if the header is set to false or if it is omitted altogether.
MX-Skip-Webhook: true
This header works only for create, update, and delete requests on the following resources:
- Accounts
- Budgets
- Categories
- Goals
- Holdings
- Members
- Transactions
The skip_webhook Parameters
Partners may also choose to prevent a webhook by sending a skip_webhook parameter in a request body. Set this boolean to true to prevent a webhook being sent for that request. Webhooks will be delivered if the parameter is set to false or if it is omitted altogether.
This parameter works only for create and update requests on the following resources:
- Accounts
- Budgets
- Categories
- Goals
- Holdings
- Members
- Transactions
_17curl -i -X PUT https://int-data.moneydesktop.com/transactions/TRN-20be160f-e45d-3a89-ed90-6d1d2d7d135f \_17 -H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \_17 -H 'Content-Type: application/vnd.mx.nexus.v1+json' \_17 -H 'Accept: application/vnd.mx.nexus.v1+json' \_17 -d '{_17 "transaction": {_17 "category_guid": "CAT-28be9904-9f4c-c4af-d2b7-bb24763ae0ae",_17 "date": "2016-03-14",_17 "description": "Target",_17 "has_been_split": false,_17 "has_been_viewed": true,_17 "is_hidden": false,_17 "memo": "Food",_17 "metadata": "Additional information",_17 "skip_webhook": true_17 }_17}'